malloc_params Struct Reference

## Data Fields

size_t | magic
size_t | page_size
size_t | granularity
size_t | mmap_threshold
size_t | trim_threshold
flag_t | default_mflags

## Detailed Description

Definition at line 2097 of file SDL_malloc.c.

## Field Documentation

flag_t malloc_params::default_mflags

Definition at line 2104 of file SDL_malloc.c.

Referenced by dlmallopt(), and init_mparams().

size_t malloc_params::granularity

Definition at line 2101 of file SDL_malloc.c.

Referenced by change_mparam(), dlmallopt(), init_mparams(), mmap_resize(), and sys_trim().

size_t malloc_params::magic

Definition at line 2099 of file SDL_malloc.c.

Referenced by dlmallopt(), init_mparams(), and sys_alloc().

size_t malloc_params::mmap_threshold

Definition at line 2102 of file SDL_malloc.c.

Referenced by change_mparam(), init_mparams(), and sys_alloc().

size_t malloc_params::page_size

Definition at line 2100 of file SDL_malloc.c.

Referenced by change_mparam(), dlmallopt(), dlpvalloc(), dlvalloc(), and init_mparams().

size_t malloc_params::trim_threshold

Definition at line 2103 of file SDL_malloc.c.

Referenced by change_mparam(), init_mparams(), and init_top().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c